net.minecraft.item

## Class ItemEditableBook

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemEditableBook

-     public class ItemEditableBook
      extends Item

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bakedPotato, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, carrot, carrotOnAStick, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, emptyMap, enchantedBook, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, fireballCharge, firework, fireworkCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, flowerPot, ghastTear, glassBottle, goldenCarrot, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemFrame, itemID, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, netherStar, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, poisonousPotato, porkCooked, porkRaw, potato, potion, pumpkinPie, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWait, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, skull, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemEditableBook(int par1)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, List par3List, boolean par4)`
    `String` | `getItemDisplayName(ItemStack par1ItemStack)`
    `boolean` | `getShareTag()` If this function returns true (or the item is damageable), the ItemStack's NBT tag will be sent to the client.
    `boolean` | `hasEffect(ItemStack par1ItemStack)`
    `ItemStack` | `onItemRightClick(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)` Called whenever this item is equipped and the right mouse button is pressed.
    `static boolean` | `validBookTagContents(NBTTagCompound par0NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.item.Item

      `canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, func_82788_x, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItemStack, getCreativeTab, getCreativeTabs, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getIconIndex, getIsRepairable, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getPotionEffect, getRarity, getRenderPasses, getSmeltingExperience, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hitEntity, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTickUpdate, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldPassSneakingClickToBlock, shouldRotateAroundWhenRendering`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemEditableBook

          public ItemEditableBook(int par1)

  - ### Method Detail

    - #### validBookTagContents

          public static boolean validBookTagContents(NBTTagCompound par0NBTTagCompound)

    - #### getItemDisplayName

          public String getItemDisplayName(ItemStack par1ItemStack)

      Overrides:
        `getItemDisplayName` in class `Item`

    - #### addInformation

          public void addInformation(ItemStack par1ItemStack,
                            EntityPlayer par2EntityPlayer,
                            List par3List,
                            boolean par4)

      Overrides:
        `addInformation` in class `Item`

    - #### onItemRightClick

          public ItemStack onItemRightClick(ItemStack par1ItemStack,
                                   World par2World,
                                   EntityPlayer par3EntityPlayer)

      Called whenever this item is equipped and the right mouse button is pressed. Args: itemStack, world, entityPlayer
      Overrides:
        `onItemRightClick` in class `Item`

    - #### getShareTag

          public boolean getShareTag()

      If this function returns true (or the item is damageable), the ItemStack's NBT tag will be sent to the client.
      Overrides:
        `getShareTag` in class `Item`

    - #### hasEffect

          public boolean hasEffect(ItemStack par1ItemStack)

      Overrides:
        `hasEffect` in class `Item`